var defaultFontSize = 76;
var currentFontSize = defaultFontSize;

function FSinit() {
	var cookie = FSreadCookie('FontSize');
	currentFontSize = cookie ? cookie : defaultFontSize;
	FSset(currentFontSize);
};

function FSset(size) {
	var elements = document.getElementsByTagName('TD');
	for (var i = 0; i < elements.length; i++) {
		if (elements[i].className.indexOf('noresize') == -1) elements[i].style.fontSize = size + '%';
	}
};

function FSchange(difference) {
	currentFontSize = parseInt(currentFontSize) + parseInt(difference * 5);
	if (currentFontSize > 100) currentFontSize = 100;
	else if (currentFontSize < 60) currentFontSize = 60;
	FSset(currentFontSize);
};

function FSreset() {
	currentFontSize = defaultFontSize;
	FSchange(0);
};

function FSsave() {
	FScreateCookie('FontSize', currentFontSize, 30);
};

function FScreateCookie(name,value,days) {
	if (days) { 
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	} else {
		expires = "";
	}
	document.cookie = name + "=" + value + expires + "; path=/";
};

function FSreadCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for (var i = 0; i < ca.length; i++) {
		var c = ca[i];
		while (c.charAt(0) == ' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
};

if (window.attachEvent) {
	window.attachEvent('onload', FSinit);
	window.attachEvent('onunload', FSsave);
} else {
	window.addEventListener('load', FSinit, false);
	window.addEventListener('unload', FSsave, false);
}
