<?php

/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2007 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|    Entourage II Theme for PHP-Fusion v6+    |
|---------------------------------------------|
| author: Fuzed Themes - Shedrock  2006/7    |
| web: http://phpfusion-themes.com            |
| email: webmaster@phpfusion-thems.com        |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|         Converted to PHP-Fusion v7          |
|---------------------------------------------|
| Author: WhoCare                             |
| web: http://kaj-max.dk                      |
| email: whocare@kaj-max.dk                   |
+--------------------------------------------*/

/////////////////////////
// TO INCREASE THE THEME WIDTH, YOU WILL NEED TO OPEN UP EVERY STYLESHEET ie: STYLES.CSS, STYLES_BLUE_LARGE.CSS, STYLES_GREEN_LARGE.CSS AND STYLES_GREE_REGULAR.CSS.
// SIMPLY LOOK UNDER THE CLASS (.page - The default is set to 910px. YOU SHOULD USE PERCENTAGES TO GET THE DESIRED WIDTH YOU'RE AFTER.
/////////////////////////

// Theme settings
$body_text = "#000000";
$body_bg = "#FFFFFF";
$theme_width = "100%";
$theme_width_l = "165";
$theme_width_r = "165";

// Right Panels off in Forum Mode - Custom coded
$theme_panels_exclude = array("/forum/");

add_to_head("<script type='text/javascript' src='".THEME."styleswitcher.js'></script>");
add_to_head("<link rel='alternate stylesheet' type='text/css' href='themes/EntourageII/styles_green_regular.css' title='green_regular' />");
add_to_head("<link rel='alternate stylesheet' type='text/css' href='themes/EntourageII/styles_green_large.css' title='green_large' />");
add_to_head("<link rel='alternate stylesheet' type='text/css' href='themes/EntourageII/styles_blue_large.css' title='blue_large' />");

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_WIDTH", "100%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

	global $aidlink, $settings, $main_style, $locale, $userdata;

//echo "<script type='text/javascript' src='".THEME."styleswitcher.js'></script>";
echo "<table class='page' align='center' cellpadding='0' cellspacing='0'><tr>
<td class='border_left' rowspan='6'>&nbsp;</td>
<td class='top_nav' colspan='3'>&nbsp;</td>
<td class='border_right' rowspan='6'>&nbsp;</td></tr>
<tr><td style='vertical-align:top;' class='header' colspan='3'>
<div id='header'><div class='slogan'></div>
<div class='moto'></div>
<div class='logo'><a href='".BASEDIR."index.php'>
<img src='".THEME."images/header.jpg' alt='' title='' style='border: 0pt none ;' width='468' height='60' /></a></div>
</div></td></tr>
<tr><td id='navigation' class='sub_nav'>
<table border='0' cellpadding='0' cellspacing='0' width='100%'><tr>
<td class='sub_nav' width='100%'>".showsublinks("")."
<a class='navigation' href='#' onclick=\"setActiveStyleSheet('blue_regular'); return false;\"><img style='vertical-align:middle;' src='".THEME."images/bluestyle_regular.gif' alt='Blue Style Regular' title='Blue Style Regular' /></a>
<a class='navigation' href='#' onclick=\"setActiveStyleSheet('blue_large'); return false;\"><img style='vertical-align:middle;' src='".THEME."images/bluestyle_large.gif' alt='Blue Style Large' title='Blue Style Large' /></a>
<a class='navigation' href='#' onclick=\"setActiveStyleSheet('green_regular'); return false;\"><img style='vertical-align:middle;' src='".THEME."images/greenstyle_regular.gif' alt='Green Style Regular' title='Green Style Regular' /></a>
<a class='navigation' href='#' onclick=\"setActiveStyleSheet('green_large'); return false;\"><img style='vertical-align:middle;' src='".THEME."images/greenstyle_large.gif' alt='Green Style Large' title='Green Style Large' /></a>
</td></tr>
</table>
</td></tr>
<tr><td class='filler_nav' colspan='3'>&nbsp;</td></tr>
<tr><td valign='top'>
<table width='100%' cellpadding='0' cellspacing='0' border='0' align='center'><tr><td></td>";
echo "</tr>\n</table>\n";

//Content
	echo "<table cellpadding='0' cellspacing='0' class='border' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";

//footer

echo "<table style='margin-top:14px;' cellspacing='0' width='100%' cellpadding='0'><tr>
<td colspan='3' class='footer'>";
	if (!$license) { echo showcopyright()."<br/><br/>\n"; } echo showcounter()."<br/><br/>
<div style='text-align: center;' class='smalltext'><b>Entourage II</b> Theme designed by: <a target='_blank' href='http://phpfusion-themes.com'>Fuzed Themes</a> and based on an e107 Template - Converted to v7 by <a target='_blank' href='http://www.kaj-max.dk'>WhoCare</a><br/><br/>
<a href='http://validator.w3.org/check/referer' title='HTML4.01'><img src='".THEME."images/html401.png' alt='XHTML' /></a>&nbsp;<a href='http://jigsaw.w3.org/css-validator/check/referer' title='CSS valid'><img src='".THEME."images/css.png' alt='CSS' /></a></div>
</td></tr>
</table>";
echo "</td></tr></table>";
}


function render_news($subject, $news, $info) {
$subject = strip_tags($subject);
	
echo "<table style='margin-top:5px;' width='100%' cellpadding='0' cellspacing='5'><tr>
<td class='panels_news'><img src='".THEME."images/icon_news.gif' alt='' />$subject</td>
</tr></table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td><table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='default_block news_block'>$news</td></tr><tr><td class='news_poster'>";
echo newsposter($info," &middot;").newsopts($info," &middot;").itemoptions("N",$info['news_id']);
echo "</td></tr></table>
</td></tr></table><br/>\n";
}

function render_article($subject, $article, $info) {
	
echo "<table style='margin-top:5px;' width='100%' cellpadding='0' cellspacing='5'><tr>
<td class='panels_news'><img src='".THEME."images/icon_news.gif' alt='' />&nbsp;$subject</td>
</tr></table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td><table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='default_block news_block'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td></tr>
<tr><td class='news_poster'>";
echo articleposter($info," &middot;").articleopts($info," &middot;").itemoptions("A",$info['article_id']);
echo "</td></tr></table>
</td></tr></table><br/>\n";
}

function opentable($title) {

echo "<table width='100%' cellpadding='0' cellspacing='5'><tr>
<td><table style='margin-top:5px;' width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='panels_table'><img src='".THEME."images/icon_tables.gif' alt='' />$title</td>
</tr></table>
</td></tr></table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='table_block'>\n";
}

function closetable() {

echo "</td></tr></table><br/>\n";
}

function openside($title) {
	
echo "<table width='100%' cellpadding='0' cellspacing='5'><tr>
<td><table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='panels'><img src='".THEME."images/icon_panels.gif' alt='' />$title</td>
</tr></table>
</td></tr></table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='side-body'>\n";
}

function closeside() {

echo "</td></tr></table>\n";

}

?>
